---
title: GeolocationPositionError.message
slug: Web/API/GeolocationPositionError/message
tags:
  - API
  - Geolocation API
  - GeolocationPositionError
  - Property
  - Secure context
  - message
---
<div>{{securecontext_header}}{{APIRef("Geolocation API")}}</div>

<p>The <code><strong>GeolocationPositionError.message</strong></code> read-only property returns a human-readable {{domxref("DOMString")}} describing the details of the error.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>let msg</var> = <var>geolocationPositionErrorInstance</var>.message
</pre>

<h3 id="Value">Value</h3>

<p>A human-readable {{domxref("DOMString")}} describing the details of the error.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geolocation', '#dom-geolocationpositionerror-message', 'GeolocationPositionError.message')}}</td>
   <td>{{Spec2('Geolocation')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.GeolocationPositionError.message")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Geolocation_API/Using">Using the Geolocation API</a></li>
 <li>{{domxref("GeolocationPositionError")}}</li>
</ul>
